from qgis.PyQt.QtWidgets import QProgressBar
from qgis.utils import iface
from qgis.core import QgsProcessingFeedback

def create_progressbar():
    # Progression bar
    iface.messageBar().clearWidgets()
    progressMessageBar = iface.messageBar()
    progressbar = QProgressBar()
    progressMessageBar.pushWidget(progressbar)
    feedback = QgsProcessingFeedback()
    def progress_changed(progress):
        progressbar.setValue(progress)
    feedback.progressChanged.connect(progress_changed)
    return feedback

def clear_messagebar():
    iface.messageBar().clearWidgets()


