# SOBRE

É um plugin QGIS que a partir de uma imagem de satélite bing do QuickMapService na projeção EPSG:3857 aberta no projeto QGIS corrente, são recortadas e salvas temporariamente imagens em um nível de zoom próximo o suficiente para ver telhados de uma determinada área, para que seja possível aplicar um script de identificação do tipo onnx e o resultado é salvo em um banco de dados postgresql + postgis.

# ABOUT

This is a QGIS plugin that uses an open QGIS project satellite image from bing provided by QuickMapService on projection EPSG:3857. Image pieces are saved temporally into the machine to be used later by recognition onnx algorithm, to identify roofs and save them inside a postgresql + postgis table. 

# INSTALAÇÃO

No terminal python do QGIS instalar:

import pip
pip.main(['install','opencv-python'])
pip.main(['install','numpy'])
pip.main(['install','onnx'])
pip.main(['install','onnxruntime'])

Depois abra a janela complementos, pesquise por RoofDraw e instale o plugin

# INSTALATION


Open terminal python from QGIS and install:

import pip
pip.main(['install','opencv-python'])
pip.main(['install','numpy'])
pip.main(['install','onnx'])
pip.main(['install','onnxruntime'])

After you need to open QGIS plugin instalation window, search and install RoofDraw plugin.

# DOCUMENTAÇÃO

Para mais informações consulte a documentação em: https://gitlab.com/roofdraw/roof_draw/-/wikis/ROOFDRAW

# DOCUMENTATION

For more information vizualize the documentation: https://gitlab.com/roofdraw/roof_draw/-/wikis/ROOFDRAW
