from qgis.core import QgsCoordinateReferenceSystem
from osgeo import osr
import roof_draw.templates as templates
from qgis.core import QgsProviderRegistry
from qgis.utils import iface

# Image Cut
CRS_only_n = '3857'
CRS_id = "EPSG:"+CRS_only_n
CRS = QgsCoordinateReferenceSystem(CRS_id)
# TODO mudar 1000 1000
STEP_X = 50
STEP_Y = 50

# Buildseg Defaults
THRESHOLD = 0.20
SCALE = 1.0
BLOCKSIZE = [512, 512]
OVERLAPSIZE = [16, 16]
SIMPLYFY_POLYGON = True
PROJ = osr.SpatialReference()
PROJ.ImportFromEPSG(int(CRS_only_n))
# classifier
DEFAULT_TYPES =  ["Galpão", "Outros"]

DLG_AREA_DIVIDER = None
DLG_CLASSIFIER = None
DLG_DRAW_ROOFS = None

first_start_area_divide = None
first_start_classifier = None
first_start_draw_roofs = None

iface = iface

# USUARIO DEVE CONFIGURAR UMA CONEXAO NO GERENCIADOR DO QGIS E CHAMA-LA roof_draw_db
CONNECTION = None